gnutls_x509_crl_set_number(3)

NAME
gnutls_x509_crl_set_number - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_set_number(gnutls_x509_crl_t crl, const void * nr, size_t nr_size);

ARGUMENTS

gnutls_x509_crl_t crl
    a CRL of type gnutls_x509_crl_t

const void * nr
    The CRL number

size_t nr_size
    Holds the size of the nr field.

DESCRIPTION
This function will set the CRL's number extension. This is to be used as a unique and monotonic number assigned to the CRL by the authority.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.8.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/